| Home | Libraries | People | FAQ | More

##### url_base::max_size

(Inherited from `url_view_base`)

Return the maximum number of characters possible.

###### Synopsis

    static
    constexpr std::size_t
    max_size();

###### Description

This represents the largest number of characters that are theoretically possible to represent in a url, not including any null terminator. In practice the actual possible size may be lower than this number.

###### Complexity

Constant.

###### Exception Safety

Throws nothing.